Page MenuHomePhabricator

Accessing zh-classical.wikipedia.org on a mobile device does not redirect to zh-classical.m.wikipedia.org
Closed, ResolvedPublic

Description

The browser won't jump to zh-classical.m.wikipedia.org automatically when accessing zh-classical.wikipedia.org via mobile devices. But other sites will redirect to mobile versions.

Details

Related Gerrit Patches:

Event Timeline

vjudge404 created this task.Jun 9 2017, 6:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 9 2017, 6:57 AM
LNDDYL added a subscriber: LNDDYL.Jun 9 2017, 7:19 AM
Aklapper renamed this task from Can't jump to zh-classical.m.wikipedia.org (the mobile version) automatically when using mobile devices to Accessing zh-classical.wikipedia.org on a mobile device does not redirect to zh-classical.m.wikipedia.org.Jun 9 2017, 7:37 AM
Liuxinyu970226 added a subscriber: Liuxinyu970226.

@LNDDYL this is not about zh.wikipedia.org, thx

Change 358028 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] varnish mobile redirects: allow for dashes in first label

https://gerrit.wikimedia.org/r/358028

BBlack added a subscriber: BBlack.

I think this is because our mobile-redirect logic doesn't support dashes, but probably should due to these cases? Patch above proposed, if it makes logical sense to support mobile-redirects on "language" subdomains containing dashes (\w is only alphanumerics and underscore).

Restricted Application added a project: Operations. · View Herald TranscriptJun 9 2017, 2:29 PM
Marostegui triaged this task as Medium priority.Jun 12 2017, 8:15 AM
ema moved this task from Triage to Caching on the Traffic board.Jun 12 2017, 2:58 PM

Change 358028 merged by Ema:
[operations/puppet@production] varnish mobile redirects: allow for dashes in first label

https://gerrit.wikimedia.org/r/358028

ema closed this task as Resolved.Jun 14 2017, 7:41 AM
ema claimed this task.
ema added subscribers: Legoktm, ema.

As @Legoktm mentioned, quite a few projects were affected by this, having a - in their first label. See https://meta.wikimedia.org/wiki/Special:SiteMatrix. Fixed.